MCP Tools Reference: ces.googleapis.com

Tool: delete_tool

Deletes the specified tool.

The following sample demonstrate how to use curl to invoke the delete_tool MCP tool.

Curl Request
                  
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_tool",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for AgentService.DeleteTool.

DeleteToolRequest

JSON representation
{
  "name": string,
  "force": boolean,
  "etag": string
}
Fields
name

string

Required. The resource name of the tool to delete.

force

boolean

Optional. Indicates whether to forcefully delete the tool, even if it is still referenced by agents/examples.

  • If force = false, the deletion will fail if any agents still reference the tool.
  • If force = true, all existing references from agents will be removed and the tool will be deleted.
etag

string

Optional. The current etag of the tool. If an etag is not provided, the deletion will overwrite any concurrent changes. If an etag is provided and does not match the current etag of the tool, deletion will be blocked and an ABORTED error will be returned.

Output Schema

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌